# Uses of Enum Class
org.apache.cxf.configuration.spring.BusWiringType

Packages that use BusWiringType
Package
Description
org.apache.cxf.configuration.spring

- ## Uses of BusWiringType in org.apache.cxf.configuration.spring

  Methods in org.apache.cxf.configuration.spring that return BusWiringType
  Modifier and Type
  Method
  Description
  `static BusWiringType`
  BusWiringType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BusWiringType[]`
  BusWiringType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.cxf.configuration.spring with parameters of type BusWiringType
  Modifier and Type
  Method
  Description
  `protected void`
  AbstractBeanDefinitionParser.`addBusWiringAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean, BusWiringType type)`
  `protected void`
  AbstractBeanDefinitionParser.`addBusWiringAttribute(org.springframework.beans.factory.support.BeanDefinitionBuilder bean, BusWiringType type, String busName, org.springframework.beans.factory.xml.ParserContext ctx)`